Bug 443925 (CVE-2008-1926) - CVE-2008-1926 util-linux: audit log injection via login
Summary: CVE-2008-1926 util-linux: audit log injection via login
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1926
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-24 06:50 UTC by Tomas Hoger
Modified: 2019-09-29 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 17:36:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0981 normal SHIPPED_LIVE Low: util-linux security and bug fix update 2009-05-18 13:45:19 UTC

Description Tomas Hoger 2008-04-24 06:50:01 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1926 to the following vulnerability:

Argument injection vulnerability in login (login-utils/login.c) in
util-linux-ng 2.14 and earlier makes it easier for remote attackers to
hide activities by modifying portions of log events, as demonstrated
by appending an "addr=" statement to the login name, aka "audit log
injection."

References:
http://git.kernel.org/?p=utils/util-linux-ng/util-linux-ng.git;a=commitdiff;h=8ccf0b253ac0f4f58d64bc9674de18bff5a88782

Comment 2 Fedora Update System 2008-04-29 21:01:14 UTC
util-linux-ng-2.13.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 errata-xmlrpc 2009-05-18 19:01:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0981 https://rhn.redhat.com/errata/RHSA-2009-0981.html

Comment 4 errata-xmlrpc 2009-05-18 20:17:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0981 https://rhn.redhat.com/errata/RHSA-2009-0981.html

Comment 5 Vincent Danen 2010-12-23 17:36:04 UTC
This is also: https://bugzilla.redhat.com/show_bug.cgi?id=456378

which means this was resolved via:

https://rhn.redhat.com/errata/RHBA-2009-0070.html for RHEL5.


Note You need to log in before you can comment on or make changes to this bug.